### Class

# Ggit Tree

#### Description [src]

    class Ggit.Tree : Ggit.Object
    {
      /* No available fields */
    }

Represents a tree object.

#### Ancestors

- GgitObject
- GgitNative
- GgitObjectFactoryBase
- GObject

#### Instance methods

###### ggit_tree_get

Get a tree entry by index.

###### ggit_tree_get_by_name

Get a tree entry by name.

###### ggit_tree_get_by_path

Retrieves a tree entry contained in a tree or in any of its subtrees, given its relative path.

###### ggit_tree_get_id

Get the `GgitOId` of the tree.

###### ggit_tree_size

Get the number of entries in the tree.

###### ggit_tree_walk

Walk all the entries of a tree object recursively (resolving and walking subtrees of the tree as needed). The `error` will be set to the error returned by `callback` (if any).

##### Methods inherited from GgitObject (2)

###### ggit_object_get_id

Gets the `GgitOId` of `object`.

###### ggit_object_get_owner

Gets the `GgitRepository` that owns `object`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GgitNative (1)

###### Ggit.Native:native

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitTreeClass {
      /* no available fields */
    }

The class structure for `GgitTreeClass`.